Debbugs::Versions::Dpkg(3pm)

NAME
Debbugs::Versions::Dpkg - pure-Perl dpkg-style version comparison

DESCRIPTION
The Debbugs::Versions::Dpkg module provides pure-Perl routines to compare dpkg-style version numbers, as used in Debian packages. If you have the libapt-pkg Perl bindings available (Debian package libapt-pkg-perl), they may offer better performance.

METHODS

vercmp
    Compare the two arguments as dpkg-style version numbers. Returns -1 if the first argument represents a lower version number than the second, 1 if the first argument represents a higher version number than the second, and 0 if the two arguments represent equal version numbers.

AUTHOR
Don Armstrong <don@donarmstrong.com> and Colin Watson <cjwatson@debian.org>, based on the implementation in "dpkg/lib/vercmp.c" by Ian Jackson and others.